prep for update site
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
index 58c0053..16a27a0 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
@@ -5,7 +5,7 @@
 # source properties.shsource
 # source parseSiteArg.shsource
 
-if [ -e $2 ]
+if [ -n $2 ]
 then
    buildrepository=$2
 else
@@ -15,3 +15,11 @@
 echo "buildrepository: " $buildrepository
 
 ${JAVA_HOME}/bin/java -jar featureFileCreate.jar $buildrepository
+
+if [ "$?" -ne "0" ] 
+then 
+   exit $?
+fi  
+
+cp wtp.sc $buildrepository
+cp features-ganymede-wtp.xml $buildrepository
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
index 13f9663..d580527 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
@@ -22,16 +22,13 @@
  rsync -pua ${HOME}/${updateToolsDir}/WebContent/${mainIndexFileName} ${testUpdateSite}/index.html
  rsync -pua ${HOME}/${updateToolsDir}/WebContent/*.jpg ${testUpdateSite}
 
-./createMirrorFile.sh "${1}" "${3}"
+./createMirrorFile.sh "${1}" 
 
 if [ "$?" -ne "0" ] 
 then 
    exit $?
 fi  
 
-cp wtp.sc ${3}/
-cp features-ganymede-wtp.xml ${3}/
-
 ./ant.sh  -f ${fileListFile} -Declipse.home=${eclipseLocation} -Dupdate.site=${testUpdateSite}
 
 echo